## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# Defaultemitters

## Classes

struct | iParticleBuiltinEmitterBase
struct | iParticleBuiltinEmitterBox
struct | iParticleBuiltinEmitterCone
struct | iParticleBuiltinEmitterCylinder
struct | iParticleBuiltinEmitterFactory
| Factory for builtin emitter-types. More...
struct | iParticleBuiltinEmitterSphere

## Enumerations

enum | csParticleBuiltinEmitterPlacement { CS_PARTICLE_BUILTIN_CENTER, CS_PARTICLE_BUILTIN_VOLUME, CS_PARTICLE_BUILTIN_SURFACE }
| Set where in the emitter the builtin emitters should spawn their particles. More...

## Enumeration Type Documentation

enum csParticleBuiltinEmitterPlacement

Set where in the emitter the builtin emitters should spawn their particles.

Enumerator:

  CS_PARTICLE_BUILTIN_CENTER | In the center.
  CS_PARTICLE_BUILTIN_VOLUME | Anywhere in the volume.
  CS_PARTICLE_BUILTIN_SURFACE | On the surface of the volume.

Definition at line 515 of file particles.h.